<?php
/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       www.skrotron.com
 * @since      1.0.7
 *
 * @package    Cart_Upsell_For_Woocommerce
 * @subpackage Cart_Upsell_For_Woocommerce/admin/partials
 */

?>

<div id='cart_upsell_options' class='panel woocommerce_options_panel'>
	<div id="cart_upsell_section">
	<div class="upsell-loader"></div>
			<div class="upsell-product-data">
			<?php
			$product_id            = intval( get_the_id() );
			$upsell_prd_data       = get_post_meta( $product_id, 'cart_upsell_product_data', true );
			$upsell_prd_data_array = explode( '{{skrotron}}', $upsell_prd_data );
			list( $content, $url, $upsell_button_text, $bgcolor, $content_color, $button_color, $button_bg_color, $tranps ) = $upsell_prd_data_array;
			?>
				<table>
					<tr><th style="width:20%;"></th><td style="width:80%;"></td></tr>
					<tr>
						<th align="left">Content :</th>
						<td><textarea id="upsell_prd_content"><?php echo ( isset( $content ) && '' !== $content ) ? esc_attr( $content ) : ''; ?></textarea></td>
					</tr>
					<tr height="5"></tr>
					<tr>
						<th align="left">Picture :</th>
						<td><input type="url" id="upsell_prd_url" placeholder="Url:" value="<?php echo ( isset( $url ) && '' !== $url ) ? esc_attr( $url ) : ''; ?>"></td>
					</tr>
					<tr height="5"></tr>
					<tr>
						<th align="left">Button Text :</th>
						<td><input type="text" id="upsell_button_text" placeholder="Add To Cart" value="<?php echo ( isset( $upsell_button_text ) && '' !== $upsell_button_text ) ? esc_attr( $upsell_button_text ) : ''; ?>"></td>
					</tr>
					<tr height="5"></tr>
					<tr>
						<th align="left" valign="top">Banner bg Color :</th>
						<td><input type="text" id="upsell_bg_color" class="skrotron-color" value="<?php echo ( isset( $bgcolor ) && '' !== $bgcolor ) ? esc_attr( $bgcolor ) : '#000000'; ?>"></td>
					</tr>
					<tr height="5"></tr>
					<tr>
						<th align="left" valign="top">Content Color :</th>
						<td><input type="text" id="upsell_content_color" class="skrotron-color" value="<?php echo ( isset( $content_color ) && '' !== $content_color ) ? esc_attr( $content_color ) : '#FFFFFF'; ?>"></td>
					</tr>
					<tr height="5"></tr>
					<tr>
						<th align="left" valign="top">Button Color :</th>
						<td><input type="text" id="upsell_button_color" class="skrotron-color" value="<?php echo ( isset( $button_color ) && '' !== $button_color ) ? esc_attr( $button_color ) : '#FFFFFF'; ?>"></td>
					</tr>
					<tr height="5"></tr>
					<tr>
						<th align="left" valign="top">Button bg Color :</th>
						<td><input type="text" id="upsell_button_bg_color" class="skrotron-color" value="<?php echo ( isset( $button_bg_color ) && '' !== $button_bg_color ) ? esc_attr( $button_bg_color ) : '#96588a'; ?>"></td>
					</tr>
					<tr height="5"></tr>
					<tr>
						<th align="left">Banner Transparancy :</th>
						<td><input type="number" min="0.1" max="1" step="0.1" value="<?php echo ( isset( $tranps ) && '' !== $tranps ) ? esc_attr( $tranps ) : '0.8'; ?>" id="upsell_transparancy"></td>
					</tr>
				</table>
			</div>
			<hr>
			<div class="and_rule_group">
				<h4>Conditions :</h4>
				<span class="upsell_error_fields"></span>
				<table class="table_and_condition">
					<?php
					$product_id     = intval( get_the_id() );
					$condition_data = get_post_meta( $product_id, 'cart_upsell_and_condition', true );
					if ( ! empty( $condition_data ) && 'null' !== $condition_data ) {
						$data_array = explode( '*', $condition_data );
						$count      = 1;
						foreach ( $data_array as $conditions ) {
							$condition_allarr = explode( ',', $conditions );
							$condition_array  = array_values( array_filter( $condition_allarr ) );
							if ( ! empty( $condition_array ) ) {
								list($condition_type, $condition_logic, $condition_compareto) = $condition_array;
								?>
								<tr>
									<td>
										<select name="condition_type[]" id="condition_type">
											<option value="">Add Condition...</option>
											<option value="product" <?php echo ( 'product' === $condition_type ) ? 'selected' : ''; ?>>Product</option>
											<option value="category" <?php echo ( 'category' === $condition_type ) ? 'selected' : ''; ?>>Category</option>
											<option value="cart_total" <?php echo ( 'cart_total' === $condition_type ) ? 'selected' : ''; ?>>Cart Total</option>
										</select>
									</td>
									<td>
										<select name="condition_logic[]" id="condition_logic">
										<?php
										if ( 'cart_total' === $condition_type ) {
											?>
												<option value="less_than" <?php echo ( 'less_than' === $condition_logic ) ? 'selected' : ''; ?>>Less Than</option>
												<option value="greater_than" <?php echo ( 'greater_than' === $condition_logic ) ? 'selected' : ''; ?>>Greater Than</option>
											<?php
										} else {
											?>
												<option value="equal" <?php echo ( 'equal' === $condition_logic ) ? 'selected' : ''; ?>>is equal to</option>
												<option value="not_equal" <?php echo ( 'not_equal' === $condition_logic ) ? 'selected' : ''; ?>>is not equal to</option>
											<?php
										}
										?>
										</select>
									</td>
									<td>
										<select name="condition_compareto[]" id="condition_compareto">
											<?php
											if ( 'product' === $condition_type ) {
												$products = get_all_upsell_products();
												$option   = '';
												foreach ( $products as $product ) {
													echo '<option value="' . esc_attr( $product->ID ) . '"';
													echo ( intval( $condition_compareto ) === $product->ID ) ? 'selected ' : '';
													echo '>';
													echo esc_attr( $product->post_title );
													echo '</option>';
												}
											} elseif ( 'category' === $condition_type ) {
												$categories = get_all_upsell_categories();
												$option     = '';
												foreach ( $categories as $category ) {
													echo '<option value="' . esc_attr( $category->term_id ) . '"';
													echo ( intval( $condition_compareto ) === $category->term_id ) ? 'selected ' : '';
													echo '>';
													echo esc_attr( $category->name );
													echo '</option>';
												}
											} else {
												$limit = 5000;
												$step  = 50;
												$j     = 0;
												for ( $i = 0; $j <= $limit; $i++ ) {
													echo '<option value="' . esc_attr( $j ) . '"';
													echo ( intval( $condition_compareto ) === $j ) ? 'selected ' : '';
													echo '>';
													echo wp_kses_post( wc_price( $j ) );
													echo '</option>';
													$j += $step;
												}
											}
											?>
										</select>
									</td>
									<td style="display:none;">
										<select name="condition_separater[]" id="condition_separater">
											<option value="*">Disabled</option>
										</select>
									</td>
									<td valign="top">
										<input type="button" value="X" data-id="and_condition" class="cart_upsell_minus button">
									</td>
								</tr>
								<?php
								$count++;
							}
						}
					}
					?>
				</table>
				<input type="button" value="AND RULE GROUP" data-id="and_condition" class="cart_upsell_and_condition button">
			</div>
			<hr>
			<div class="or_rule_group">
				<table class="table_or_condition">
					<?php
					$product_id     = intval( get_the_id() );
					$condition_data = get_post_meta( $product_id, 'cart_upsell_or_condition', true );
					if ( ! empty( $condition_data ) && 'null' !== $condition_data ) {
						$data_array = explode( '*', $condition_data );
						$count      = 1;
						foreach ( $data_array as $conditions ) {
							$condition_allarr = explode( ',', $conditions );
							$condition_array  = array_values( array_filter( $condition_allarr ) );
							if ( ! empty( $condition_array ) ) {
								list($condition_type, $condition_logic, $condition_compareto) = $condition_array;
								?>
								<tr>
									<td>
										<select name="condition_type[]" id="condition_type">
											<option value="">Add Condition...</option>
											<option value="product" <?php echo ( 'product' === $condition_type ) ? 'selected' : ''; ?>>Product</option>
											<option value="category" <?php echo ( 'category' === $condition_type ) ? 'selected' : ''; ?>>Category</option>
											<option value="cart_total" <?php echo ( 'cart_total' === $condition_type ) ? 'selected' : ''; ?>>Cart Total</option>
										</select>
									</td>
									<td>
										<select name="condition_logic[]" id="condition_logic">
										<?php
										if ( 'cart_total' === $condition_type ) {
											?>
												<option value="less_than" <?php echo ( 'less_than' === $condition_logic ) ? 'selected' : ''; ?>>Less Than</option>
												<option value="greater_than" <?php echo ( 'greater_than' === $condition_logic ) ? 'selected' : ''; ?>>Greater Than</option>
											<?php
										} else {
											?>
												<option value="equal" <?php echo ( 'equal' === $condition_logic ) ? 'selected' : ''; ?>>is equal to</option>
												<option value="not_equal" <?php echo ( 'not_equal' === $condition_logic ) ? 'selected' : ''; ?>>is not equal to</option>
											<?php
										}
										?>
										</select>
									</td>
									<td>
										<select name="condition_compareto[]" id="condition_compareto">
										<?php
										if ( 'product' === $condition_type ) {
											$products = get_all_upsell_products();
											$option   = '';
											foreach ( $products as $product ) {
												echo '<option value="' . esc_attr( $product->ID ) . '"';
												echo ( intval( $condition_compareto ) === $product->ID ) ? 'selected ' : '';
												echo '>';
												echo esc_attr( $product->post_title );
												echo '</option>';
											}
										} elseif ( 'category' === $condition_type ) {
											$categories = get_all_upsell_categories();
											$option     = '';
											foreach ( $categories as $category ) {
												echo '<option value="' . esc_attr( $category->term_id ) . '"';
												echo ( intval( $condition_compareto ) === $category->term_id ) ? 'selected ' : '';
												echo '>';
												echo esc_attr( $category->name );
												echo '</option>';
											}
										} else {
											$limit = 5000;
											$step  = 50;
											$j     = 0;
											for ( $i = 0; $j <= $limit; $i++ ) {
												echo '<option value="' . esc_attr( $j ) . '"';
												echo ( intval( $condition_compareto ) === $j ) ? 'selected ' : '';
												echo '>';
												echo wp_kses_post( wc_price( $j ) );
												echo '</option>';
												$j += $step;
											}
										}
										?>
										</select>
									</td>
									<td style="display:none;">
										<select name="condition_separater[]" id="condition_separater">
											<option value="*">Disabled</option>
										</select>
									</td>
									<td>
										<input type="button" value="X" data-id="and_condition" class="cart_upsell_minus button">
									</td>
								</tr>
								<?php
								$count++;
							}
						}
					}
					?>
				</table>
				<input type="button" value="OR RULE GROUP" data-id="or_condition" class="cart_upsell_or_condition button">
			</div>
			<input type="hidden" name="_nonce" id="_nonce" value="<?php echo esc_attr( wp_create_nonce( 'cart_upsell_nonce' ) ); ?>">
			<input type="button" name="upsell_data_submit" id="upsell_data_submit" class="button button-primary" data-id="<?php echo esc_attr( get_the_id() ); ?>" value="Save">
	</div>
</div>
