<?php
/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              www.skrotron.com
 * @since             1.0.8
 * @package           Cart_Upsell_For_Woocommerce
 *
 * @wordpress-plugin
 * Plugin Name:       Cart Upsell for WooCommerce
 * Plugin URI:        http://www.skrotron.com/wc/
 * Description:       Offer the most relevant products at the perfect time in the order process.
 * Version:           1.0.8
 * Author:            SKROTRON
 * Author URI:        www.skrotron.com
 *
 * Woo: 5968890:060f77834058068abdbbf1225e529187
 *
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       cart-upsell-for-woocommerce
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.8 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'CART_UPSELL_FOR_WOOCOMMERCE_VERSION', '1.0.8' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-cart-upsell-for-woocommerce-activator.php
 */
function activate_cart_upsell_for_woocommerce() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-cart-upsell-for-woocommerce-activator.php';
	Cart_Upsell_For_Woocommerce_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-cart-upsell-for-woocommerce-deactivator.php
 */
function deactivate_cart_upsell_for_woocommerce() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-cart-upsell-for-woocommerce-deactivator.php';
	Cart_Upsell_For_Woocommerce_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_cart_upsell_for_woocommerce' );
register_deactivation_hook( __FILE__, 'deactivate_cart_upsell_for_woocommerce' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-cart-upsell-for-woocommerce.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.8
 */
function run_cart_upsell_for_woocommerce() {

	$plugin = new Cart_Upsell_For_Woocommerce();
	$plugin->run();

}
run_cart_upsell_for_woocommerce();
