/**
 * All of the code for your public-facing JavaScript source
 * should reside in this file.
 *
 * @package           Cart_Upsell_For_Woocommerce
 * Note: It has been assumed you will write jQuery code here, so the
 * $ function reference has been prepared for usage within the scope
 * of this function.
 *
 * This enables you to define handlers, for when the DOM is ready:
 */

(function( $ ) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */

	jQuery( document ).on(
		'click',
		'.upsell_add_to_cart_cta',
		function(event){
			event.preventDefault();
			var $thisbutton = jQuery( this );
			var product_id  = jQuery( this ).attr( 'data-id' );
			var nonce       = jQuery( this ).attr( 'data-nonce' );

			var data = {
				action: 'cart_upsell_ajax_add_to_cart',
				product_id: product_id,
				product_sku: '',
				quantity: 1,
				nonce: nonce,
			};

			jQuery( document ).trigger( 'adding_to_cart', [$thisbutton, data] );

			$.ajax(
				{
					type: 'post',
					url: ajaxurl,
					data: data,
					beforeSend: function (response) {

					},
					complete: function (response) {

					},
					success: function (response) {

						if (response.error & response.product_url) {
							window.location = response.product_url;
							return;
						} else {
							jQuery( document ).trigger( 'added_to_cart', [response.fragments, response.cart_hash, $thisbutton] );
						}
					},
				}
			);

			return false;

		}
	);

	jQuery( document ).on(
		'updated_wc_div',
		function(){

		}
	);
	jQuery( document ).on(
		'updated_cart_totals',
		function(){

		}
	);

})( jQuery );
