<?php
/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       www.skrotron.com
 * @since      1.0.7
 *
 * @package    Cart_Upsell_For_Woocommerce
 * @subpackage Cart_Upsell_For_Woocommerce/public/partials
 */

?>

<?php
$products = get_all_upsell_products();
echo '<div class="cart-upsell-section">';
foreach ( $products as $product ) {
	$prd_id          = $product->ID;
	$enb_cart_upsell = get_post_meta( $prd_id, '_cart_upsell', true );
	if ( ! empty( $enb_cart_upsell ) && 'yes' === $enb_cart_upsell ) {
		$and_condition = get_cart_upsell_check_and_condition( $prd_id );
		$or_condition  = get_cart_upsell_check_or_condition( $prd_id );
		if ( true === $and_condition && true === $or_condition ) {
			$data                  = '';
			$upsell_prd_data       = get_post_meta( $prd_id, 'cart_upsell_product_data', true );
			$upsell_prd_data_array = explode( '{{skrotron}}', $upsell_prd_data );
			if ( is_array( $upsell_prd_data_array ) && ! empty( $upsell_prd_data_array ) ) {
				list( $content, $url, $upsell_button_text, $bgcolor, $content_color, $button_color, $button_bg_color, $tranps ) = $upsell_prd_data_array;
				list($bgcolor_r, $bgcolor_g, $bgcolor_b) = sscanf( $bgcolor, '#%02x%02x%02x' );

				$cart_added_item = get_cart_items_product_ids();

				if ( ! in_array( $prd_id, $cart_added_item, true ) ) {

					echo '<div class="upsell-products" style="background-color: rgba( ' . esc_attr( $bgcolor_r ) . ', ' . esc_attr( $bgcolor_g ) . ', ' . esc_attr( $bgcolor_b ) . ', ' . esc_attr( $tranps ) . ') ">
						<div class="product-image">
							<img src="' . esc_url( $url ) . '">
						</div>
						<div class="product-content">
							<h4 style="color: ' . esc_attr( $content_color ) . ';">' . wp_kses_post( $content ) . '</h4>
							<input type="button" class="upsell_add_to_cart_cta" data-id="' . esc_attr( $prd_id ) . '" data-nonce="' . esc_attr( wp_create_nonce( 'cartupsell_addtocart' ) ) . '" value="' . esc_attr( $upsell_button_text ) . '" style="background-color: ' . esc_attr( $button_bg_color ) . ';
							color: ' . esc_attr( $button_color ) . ';">
						</div>
					 </div>';
				}
			}
		}
	}
}
echo '</div>';
